package com.iamberry.wechat.core.entity.game;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * 创建游戏记录的日志实体类dto
 * @author 刘志伟
 *
 */
public class GameLogsDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1041015670263651761L;
	
	private Integer logsGameId;		//游戏id
	
	private String logsGameName;	//游戏名称
	
	private String logsOpenId;			//游戏参与人openid
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")  
	private Date logsDate;					//参与游戏时间
	
	private String logsOrderId;			//订单id
	
	private Integer logsState;			//是否中奖
	
	private Integer logsPrizeId;		//奖品id
	
	private String logsPrizeName;		//奖品名称
	
	private Integer logsPrizeLevel;		//中奖等级
	
	private String logsPrizeImage;		//奖品图片
	
	private String logsSum;				//奖品个数
	
	private PageBean page = new PageBean(); 		//分页信息

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public String getLogsPrizeImage() {
		return logsPrizeImage;
	}

	public void setLogsPrizeImage(String logsPrizeImage) {
		this.logsPrizeImage = logsPrizeImage;
	}

	public Integer getLogsPrizeLevel() {
		return logsPrizeLevel;
	}

	public void setLogsPrizeLevel(Integer logsPrizeLevel) {
		this.logsPrizeLevel = logsPrizeLevel;
	}

	public Integer getLogsGameId() {
		return logsGameId;
	}

	public void setLogsGameId(Integer logsGameId) {
		this.logsGameId = logsGameId;
	}

	public String getLogsGameName() {
		return logsGameName;
	}

	public void setLogsGameName(String logsGameName) {
		this.logsGameName = logsGameName;
	}

	public String getLogsOpenId() {
		return logsOpenId;
	}

	public void setLogsOpenId(String logsOpenId) {
		this.logsOpenId = logsOpenId;
	}

	public Date getLogsDate() {
		return logsDate;
	}

	public void setLogsDate(Date logsDate) {
		this.logsDate = logsDate;
	}

	public String getLogsOrderId() {
		return logsOrderId;
	}

	public void setLogsOrderId(String logsOrderId) {
		this.logsOrderId = logsOrderId;
	}

	public Integer getLogsState() {
		return logsState;
	}

	public void setLogsState(Integer logsState) {
		this.logsState = logsState;
	}

	public Integer getLogsPrizeId() {
		return logsPrizeId;
	}

	public void setLogsPrizeId(Integer logsPrizeId) {
		this.logsPrizeId = logsPrizeId;
	}

	public String getLogsPrizeName() {
		return logsPrizeName;
	}

	public void setLogsPrizeName(String logsPrizeName) {
		this.logsPrizeName = logsPrizeName;
	}

	public String getLogsSum() {
		return logsSum;
	}

	public void setLogsSum(String logsSum) {
		this.logsSum = logsSum;
	}

}
